(* Программа fsys вывод информации о файловой системе *)
(* Имя файловой системы передается в качестве аргумента *)

uses linux;

var
  buf:statfs;
  
begin
  if paramcount<>1 then
  begin
    writeln('Применение: fsys имя_файла');
    halt(1);
  end;

  if not fsstat(paramstr(1), buf) then
  begin
    writeln('Ошибка вызова fsstat');
    halt(2);
  end;

  writeln(paramstr(1),': свободных блоков ', buf.bfree, ', свободных индексов ', buf.ffree);
  halt(0);
end.
